This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 546645 - rsyslogd has its modules in the /usr
rsyslogd has its modules in the /usr
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsyslog (Show other bugs)
5.5
All Linux
high Severity medium
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
:
Depends On:
Blocks: 591860
  Show dependency treegraph
 
Reported: 2009-12-11 10:22 EST by Steve Grubb
Modified: 2012-10-31 05:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Rsyslog has its modules in the /usr/lib{,64} directory tree. This can cause problems if the /usr directory resides on a different filesystem and the filesystem is unavailable during the startup of the daemon. The updated package has relocated the module directory to /lib{,64}, which is expected to be always accessible.
Story Points: ---
Clone Of:
: 591860 (view as bug list)
Environment:
Last Closed: 2012-02-21 01:07:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2009-12-11 10:22:42 EST
Description of problem:
Rsyslog has its modules in the /usr/lib directory tree. They should be in /lib so that diskless installs or nfs and iscsi /usr mounts work.

Steps to Reproduce:
1. rpm -ql rsyslog | grep usr
Comment 6 RHEL Product and Program Management 2010-08-09 14:54:38 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 8 Tomas Heinrich 2012-01-18 09:36:15 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Rsyslog has its modules in the /usr/lib{,64} directory tree. This
can cause problems if the /usr directory resides on a different
filesystem and the filesystem is unavailable during the startup of
the daemon. The updated package has relocated the module directory
to /lib{,64}, which is expected to be always accessible.
Comment 9 errata-xmlrpc 2012-02-21 01:07:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0228.html
Comment 10 Martin Prpic 2012-08-10 09:02:10 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,5 @@
-Rsyslog has its modules in the /usr/lib{,64} directory tree. This
can cause problems if the /usr directory resides on a different
filesystem and the filesystem is unavailable during the startup of
the daemon. The updated package has relocated the module directory
to /lib{,64}, which is expected to be always accessible.+Rsyslog has its modules in the /usr/lib{,64} directory tree. This
+can cause problems if the /usr directory resides on a different
+filesystem and the filesystem is unavailable during the startup of
+the daemon. The updated package has relocated the module directory
+to /lib{,64}, which is expected to be always accessible.

Note You need to log in before you can comment on or make changes to this bug.